Debian Bug report logs - #575727
[linux-2.6] kernel bug after unmounting a cifs share

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Rutger ter Borg <rutger@terborg.net>

Date: Sun, 28 Mar 2010 19:57:02 UTC

Severity: normal

Tags: fixed-upstream, moreinfo

Found in version 2.6.32-9

Fixed in version 2.6.32-14

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.samba.org/show_bug.cgi?id=7405, merged-upstream: https://bugzilla.samba.org/show_bug.cgi?id=7407

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#575727; Package linux-2.6. (Sun, 28 Mar 2010 19:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rutger ter Borg <rutger@terborg.net>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 28 Mar 2010 19:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rutger ter Borg <rutger@terborg.net>
To: submit@bugs.debian.org
Subject: [linux-2.6] kernel bug after unmounting a cifs share
Date: Sun, 28 Mar 2010 21:55:14 +0200
Package: linux-2.6
Version: 2.6.32-3
Severity: normal

--- Please enter the report below this line. ---

kernel crashes after unmounting a cifs share. I've pasted the syslog dump 
below. 

Mar 28 21:44:48 gonzo kernel: [11826.437106] BUG: Dentry 
ffff8800bf5cea80{i=80,n=/} still in use (1) [unmount of cifs cifs]
Mar 28 21:44:48 gonzo kernel: [11826.437133] ------------[ cut here 
]------------
Mar 28 21:44:48 gonzo kernel: [11826.437134] kernel BUG at /build/mattems-
linux-2.6_2.6.32-9-amd64-
NYTFdD/linux-2.6-2.6.32-9/debian/build/source_amd64_none/fs/dcache.c:670!
Mar 28 21:44:48 gonzo kernel: [11826.437137] invalid opcode: 0000 [#1] SMP
Mar 28 21:44:48 gonzo kernel: [11826.437140] last sysfs file: 
/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0A:00/power_supply/BAT0/charge_full
Mar 28 21:44:48 gonzo kernel: [11826.437142] CPU 1
Mar 28 21:44:48 gonzo kernel: [11826.437143] Modules linked in: nls_utf8 cifs 
usb_storage cryptd aes_x86_64 aes_generic ppdev lp parport sco bridge stp bnep 
rfcomm l2cap crc16 fuse ext3 jbd mbcache loop snd_hda_codec_nvhdmi 
snd_hda_codec_realtek snd_hda_intel snd_hda_codec btusb bluetooth snd_hwdep 
snd_pcm_oss snd_mixer_oss arc4 snd_pcm ecb snd_seq_midi snd_rawmidi 
dvb_usb_af9015 dvb_usb iwlagn joydev snd_seq_midi_event uvcvideo videodev 
v4l1_compat iwlcore snd_seq i2c_i801 acer_wmi v4l2_compat_ioctl32 pcspkr 
dvb_core nvidia(P) psmouse led_class ac snd_timer serio_raw snd_seq_device 
mac80211 processor i2c_core battery snd wmi evdev soundcore snd_page_alloc 
cfg80211 rfkill usbhid hid xfs exportfs sg sr_mod sd_mod crc_t10dif cdrom 
uhci_hcd ahci libata video output atl1e intel_agp ehci_hcd button scsi_mod 
usbcore nls_base thermal fan thermal_sys [last unloaded: scsi_wait_scan]
Mar 28 21:44:48 gonzo kernel: [11826.437196] Pid: 6174, comm: umount Tainted: 
P           2.6.32-3-amd64 #1 Aspire 6935
Mar 28 21:44:48 gonzo kernel: [11826.437198] RIP: 0010:[<ffffffff810fc7c2>]  
[<ffffffff810fc7c2>] shrink_dcache_for_umount_subtree+0x185/0x251
Mar 28 21:44:48 gonzo kernel: [11826.437206] RSP: 0018:ffff880119fe9e78  EFLAGS: 
00010292
Mar 28 21:44:48 gonzo kernel: [11826.437208] RAX: 0000000000000064 RBX: 
ffff8800bf5cea80 RCX: 000000000000e9f4
Mar 28 21:44:48 gonzo kernel: [11826.437210] RDX: 0000000000000000 RSI: 
0000000000000092 RDI: 0000000000000246
Mar 28 21:44:48 gonzo kernel: [11826.437212] RBP: ffff8800bf5cea80 R08: 
0000000000000002 R09: ffffffff81399d7f
Mar 28 21:44:48 gonzo kernel: [11826.437214] R10: 0000000000000000 R11: 
00000000000186a0 R12: 0000000000010bd0
Mar 28 21:44:48 gonzo kernel: [11826.437215] R13: ffff8800bf5ced20 R14: 
0000000000000000 R15: 0000000000000000
Mar 28 21:44:48 gonzo kernel: [11826.437218] FS:  00007f8f8aeb1730(0000) 
GS:ffff880005280000(0000) knlGS:0000000000000000
Mar 28 21:44:48 gonzo kernel: [11826.437220] CS:  0010 DS: 0000 ES: 0000 CR0: 
000000008005003b
Mar 28 21:44:48 gonzo kernel: [11826.437222] CR2: 00000000006d8fa8 CR3: 
000000010214b000 CR4: 00000000000006e0
Mar 28 21:44:48 gonzo kernel: [11826.437224] DR0: 0000000000000000 DR1: 
0000000000000000 DR2: 0000000000000000
Mar 28 21:44:48 gonzo kernel: [11826.437226] DR3: 0000000000000000 DR6: 
00000000ffff0ff0 DR7: 0000000000000400
Mar 28 21:44:48 gonzo kernel: [11826.437228] Process umount (pid: 6174, 
threadinfo ffff880119fe8000, task ffff8800bdffaa60)
Mar 28 21:44:48 gonzo kernel: [11826.437229] Stack:
Mar 28 21:44:48 gonzo kernel: [11826.437230]  ffff88012f29ca60 ffff88012f29c800 
ffffffffa0d2ef30 ffff880101dd2a30
Mar 28 21:44:48 gonzo kernel: [11826.437233] <0> ffff880101dd2a00 ffffffff810fc8bd 
ffff88012f29c800 ffffffff810ef30a
Mar 28 21:44:48 gonzo kernel: [11826.437237] <0> ffffffffa0d49720 0000000000000013 
ffffffffa0d49720 ffffffff810ef422
Mar 28 21:44:48 gonzo kernel: [11826.437240] Call Trace:
Mar 28 21:44:48 gonzo kernel: [11826.437244]  [<ffffffff810fc8bd>] ? 
shrink_dcache_for_umount+0x2f/0x3d
Mar 28 21:44:48 gonzo kernel: [11826.437247]  [<ffffffff810ef30a>] ? 
generic_shutdown_super+0x19/0xee
Mar 28 21:44:48 gonzo kernel: [11826.437250]  [<ffffffff810ef422>] ? 
kill_anon_super+0x9/0x40
Mar 28 21:44:48 gonzo kernel: [11826.437252]  [<ffffffff810efad2>] ? 
deactivate_super+0x60/0x7a
Mar 28 21:44:48 gonzo kernel: [11826.437256]  [<ffffffff81102127>] ? 
sys_umount+0x2c3/0x2f2
Mar 28 21:44:48 gonzo kernel: [11826.437260]  [<ffffffff81010b42>] ? 
system_call_fastpath+0x16/0x1b
Mar 28 21:44:48 gonzo kernel: [11826.437261] Code: 8b 08 48 8b 45 10 48 85 c0 
74 04 48 8b 50 40 48 8d 86 60 02 00 00 48 c7 c7 87 e6 3a 81 48 89 ee 48 89 04 
24 31 c0 e8 42 0c 1f 00 <0f> 0b eb fe 48 8b 5d 28 48 39 dd 75 04 31 db eb 03 
f0 ff 0b 48
Mar 28 21:44:48 gonzo kernel: [11826.437285] RIP  [<ffffffff810fc7c2>] 
shrink_dcache_for_umount_subtree+0x185/0x251
Mar 28 21:44:48 gonzo kernel: [11826.437288]  RSP <ffff880119fe9e78>
Mar 28 21:44:48 gonzo kernel: [11826.437290] ---[ end trace c5440e8e073c604d 
]---

--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.32-3-amd64

Debian Release: squeeze/sid
  500 unstable        www.debian-multimedia.org 
  500 unstable        ftp.nl.debian.org 
  500 stable          deb.opera.com 

--- Package information. ---
Package's Depends field is empty.

Package's Recommends field is empty.

Package's Suggests field is empty.







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#575727; Package linux-2.6. (Mon, 29 Mar 2010 00:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 29 Mar 2010 00:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 575727@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Rutger ter Borg <rutger@terborg.net>, 575727@bugs.debian.org
Subject: Re: Bug#575727: [linux-2.6] kernel bug after unmounting a cifs share
Date: Mon, 29 Mar 2010 01:37:44 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2010-03-28 at 21:55 +0200, Rutger ter Borg wrote:
> Package: linux-2.6
> Version: 2.6.32-3
> Severity: normal
> 
> --- Please enter the report below this line. ---
> 
> kernel crashes after unmounting a cifs share. I've pasted the syslog dump 
> below. 
[...]

Please test whether this bug is still present in a current kernel
version, 2.6.32-9 (testing) or preferably 2.6.32-10 (unstable).

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 29 Mar 2010 00:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#575727; Package linux-2.6. (Mon, 29 Mar 2010 06:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rutger ter Borg <rutger@terborg.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 29 Mar 2010 06:18:02 GMT) Full text and rfc822 format available.

Message #17 received at 575727@bugs.debian.org (full text, mbox):

From: Rutger ter Borg <rutger@terborg.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 575727@bugs.debian.org
Subject: Re: Bug#575727: [linux-2.6] kernel bug after unmounting a cifs share
Date: Mon, 29 Mar 2010 08:10:32 +0200
On Monday 29 March 2010 02:37:44 Ben Hutchings wrote:
>
> Please test whether this bug is still present in a current kernel
> version, 2.6.32-9 (testing) or preferably 2.6.32-10 (unstable).
>

I guess I got confused with the package name and package version. It's -9, 
please see below.

Regards,

Rutger


# dpkg --status linux-image-2.6.32-3-amd64
Package: linux-image-2.6.32-3-amd64
Status: install ok installed
Priority: optional
Section: kernel
Installed-Size: 97216
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Architecture: amd64
Source: linux-2.6
Version: 2.6.32-9





Bug No longer marked as found in versions 2.6.32-3. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 29 Mar 2010 23:06:02 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-9. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 29 Mar 2010 23:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#575727; Package linux-2.6. (Tue, 30 Mar 2010 03:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 30 Mar 2010 03:06:03 GMT) Full text and rfc822 format available.

Message #26 received at 575727@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Rutger ter Borg <rutger@terborg.net>
Cc: 575727@bugs.debian.org
Subject: Re: Bug#575727: [linux-2.6] kernel bug after unmounting a cifs share
Date: Tue, 30 Mar 2010 03:44:00 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2010-03-29 at 08:10 +0200, Rutger ter Borg wrote:
> On Monday 29 March 2010 02:37:44 Ben Hutchings wrote:
> >
> > Please test whether this bug is still present in a current kernel
> > version, 2.6.32-9 (testing) or preferably 2.6.32-10 (unstable).
> >
> 
> I guess I got confused with the package name and package version. It's -9, 
> please see below.

OK.  Please report this bug at <http://bugzilla.samba.org> under product
'CifsVFS', including the 'oops' message'.  Also mention the page
<http://www.kerneloops.org/search.php?search=shrink_dcache_for_umount_subtree> which summarises many similar crashes.  Let us know the bug number so we can track it.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#575727; Package linux-2.6. (Sun, 02 May 2010 17:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 02 May 2010 17:51:04 GMT) Full text and rfc822 format available.

Message #31 received at 575727@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Rutger ter Borg <rutger@terborg.net>
Cc: 575727@bugs.debian.org
Subject: Re: Bug#575727: [linux-2.6] kernel bug after unmounting a cifs share
Date: Sun, 2 May 2010 19:48:34 +0200
On Tue, Mar 30, 2010 at 03:44:00AM +0100, Ben Hutchings wrote:
> On Mon, 2010-03-29 at 08:10 +0200, Rutger ter Borg wrote:
> > On Monday 29 March 2010 02:37:44 Ben Hutchings wrote:
> > >
> > > Please test whether this bug is still present in a current kernel
> > > version, 2.6.32-9 (testing) or preferably 2.6.32-10 (unstable).
> > >
> > 
> > I guess I got confused with the package name and package version. It's -9, 
> > please see below.
> 
> OK.  Please report this bug at <http://bugzilla.samba.org> under product
> 'CifsVFS', including the 'oops' message'.  Also mention the page
> <http://www.kerneloops.org/search.php?search=shrink_dcache_for_umount_subtree> which summarises many similar crashes.  Let us know the bug number so we can track it.

Rutger, did you report this upstream?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#575727; Package linux-2.6. (Mon, 03 May 2010 11:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rutger ter Borg <rutger@terborg.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 03 May 2010 11:42:07 GMT) Full text and rfc822 format available.

Message #36 received at 575727@bugs.debian.org (full text, mbox):

From: Rutger ter Borg <rutger@terborg.net>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: 575727@bugs.debian.org
Subject: Re: Bug#575727: [linux-2.6] kernel bug after unmounting a cifs share
Date: Mon, 3 May 2010 13:30:48 +0200
On Sunday 02 May 2010 19:48:34 Moritz Muehlenhoff wrote:
>
> Rutger, did you report this upstream?
> 
> Cheers,
>         Moritz


No, I haven't done this (yet). If you find the opportunity, please go ahead.

Cheers,

Rutger





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#575727; Package linux-2.6. (Mon, 03 May 2010 13:21:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 03 May 2010 13:21:15 GMT) Full text and rfc822 format available.

Message #41 received at 575727@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Rutger ter Borg <rutger@terborg.net>, 575727@bugs.debian.org
Cc: Moritz Muehlenhoff <jmm@inutil.org>
Subject: Re: Bug#575727: [linux-2.6] kernel bug after unmounting a cifs share
Date: Mon, 03 May 2010 14:19:31 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2010-05-03 at 13:30 +0200, Rutger ter Borg wrote:
> On Sunday 02 May 2010 19:48:34 Moritz Muehlenhoff wrote:
> >
> > Rutger, did you report this upstream?
> > 
> > Cheers,
> >         Moritz
> 
> 
> No, I haven't done this (yet). If you find the opportunity, please go ahead.

We need you to do this, so that any questions by the upstream developers
will go directly to you and not to us.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#575727; Package linux-2.6. (Mon, 03 May 2010 14:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rutger ter Borg <rutger@terborg.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 03 May 2010 14:06:07 GMT) Full text and rfc822 format available.

Message #46 received at 575727@bugs.debian.org (full text, mbox):

From: Rutger ter Borg <rutger@terborg.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 575727@bugs.debian.org, Moritz Muehlenhoff <jmm@inutil.org>
Subject: Re: Bug#575727: [linux-2.6] kernel bug after unmounting a cifs share
Date: Mon, 3 May 2010 16:04:04 +0200
On Monday 03 May 2010 15:19:31 Ben Hutchings wrote:
> 
> We need you to do this, so that any questions by the upstream developers
> will go directly to you and not to us.
> 
> Ben.
> 

Search on kerneloops.org is not working for me. My upstream bug report is at  
https://bugzilla.samba.org/show_bug.cgi?id=7405

Cheers,

Rutger





Set Bug forwarded-to-address to 'https://bugzilla.samba.org/show_bug.cgi?id=7405'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 03 May 2010 14:36:05 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://bugzilla.samba.org/show_bug.cgi?id=7405, merged-upstream: https://bugzilla.samba.org/show_bug.cgi?id=7407' from 'https://bugzilla.samba.org/show_bug.cgi?id=7405' Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 06 May 2010 17:06:13 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 26 Jul 2010 16:37:07 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Tue, 27 Jul 2010 05:03:03 GMT) Full text and rfc822 format available.

Notification sent to Rutger ter Borg <rutger@terborg.net>:
Bug acknowledged by developer. (Tue, 27 Jul 2010 05:03:03 GMT) Full text and rfc822 format available.

Message #57 received at 575727-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 575727-done@bugs.debian.org
Subject: Re; [linux-2.6] kernel bug after unmounting a cifs share
Date: Tue, 27 Jul 2010 06:00:42 +0100
[Message part 1 (text/plain, inline)]
Version: 2.6.32-14

This was fixed in kernel version 2.6.32.14, included in the above Debian
version.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Jan 2011 07:36:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:46:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.